Package org.apache.tools.ant.taskdefs.optional

# Class Javah.ClassArgument

java.lang.Object
org.apache.tools.ant.taskdefs.optional.Javah.ClassArgument

Enclosing class:
  `Javah`

public class Javah.ClassArgument extends Object
A class corresponding the the nested "class" element. It contains a "name" attribute.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ClassArgument()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getName()`
  Get the name attribute.
  `void`
  `setName(String name)`
  Set the name attribute.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ClassArgument

    public ClassArgument()

- ## Method Details

  - ### setName

    public void setName(String name)
    Set the name attribute.
    Parameters:
      `name` - the name attribute.

  - ### getName

    public String getName()
    Get the name attribute.
    Returns:
      the name attribute.